# Program to calculate number of days user has been alive
# Matthew Parry
# 16th March 2013
# Version 2 - with validation and hours, mins, secs
# 

import datetime        #for date calculation

username = input("What is your name?: ")
day = input("What is the day you were born? (1-31): ")

#error handling for day input - digit and range 1 to 31
while not day.isdigit() or 0 < int(day) > 31:
    day = input("Try again! What is the day you were born? (1-31):")

#error handling for month input - digit and range 1 to 12
month = input("What is the month you were born? (1-12):")
while not month.isdigit() or 0 < int(month) > 12:
    month = input("Try again! What is the month you were born? (1-12):")
    
year = input("What is the year you were born (in 4 digit format and not in future): ")
#error handling for year input - digit and 4 characters and not in future
while not year.isdigit() or len(year) != 4 or int(year) > datetime.date.today().year:
    year = input("Try again! What is the year you were born (in 4 digit format and not in future): ")
numdays = datetime.date.today() - datetime.date(int(year), int(month), int(day))

numhours = numdays.days * 24
nummins = numhours * 60
numsecs = nummins * 60

print ("Hello", username)
print ("Your birthdate is",day,"/",month,"/",year)
print ("You have been alive for",numdays.days,"days")
print ("Which is",numhours,"hours or",nummins,"minutes or",numsecs,"seconds!")
