#!/usr/bin/python3.1
# pythagoras 2.py
# a GUI for working out pythagoras theorem
#
# Version 2: GUI Version
#

from tkinter import *		#everything there is
import math

def calcHypotenuse(*ignore):
#This function takes values for a and b and calculates the value for the hypotenuse (c)
#formula is (a*a) + (b*b) = (c*c) then need square root
    a = value_a.get()		#store values from inputs
    b = value_b.get()

    asquared = int(a) * int(a)
    bsquared = int(b) * int(b)
    csquared = asquared + bsquared
    c = math.sqrt(csquared) 
    #output result
    txt = Label(app, text = "Length of hypotenuse is " + str(c))
    txt.grid(row = 6, sticky = W)

root = Tk()		    # set up the GUI
root.resizable(0,0) 	    #stop window from being resized
app = Frame(root)   	    #create the frame
app.grid()          	    #use a grid to layout the frame
root.title("Pythagoras v2")    #GUI title
root.geometry("400x600")    #GUI size

# create a Label and import the picture 
picture = Label(app)
picture.grid(row = 0, columnspan = 3, sticky = W)	# ’sticky = W’ means left aligned (West)
pythagoras = PhotoImage(file = "pythagoras.gif")	#needs to be in same directory
picture["image"] = pythagoras

# create a Label and display text 
lbl = Label(app, text = "This will calculate the length of the hypotenuse (c)")
lbl.grid(row = 1, columnspan = 3, sticky = W)

# create a Label and Entry box for a 
lbl = Label(app, text = "Please enter length of side a")
lbl.grid(row = 2, column = 0, sticky = W)
value_a = Entry(app, width = 10)
value_a.grid(row = 2, column = 1, sticky = W)

#also for b
lbl = Label(app, text = "Please enter length of side b")
lbl.grid(row = 3, column = 0, sticky = W)
value_b = Entry(app, width = 10)
value_b.grid(row = 3, column = 1, sticky = W)

# cursor in entry box for a
value_a.focus_force()

#create button
calc = Button(app, text = "Calculate!")
calc.grid(row = 4, column = 1, sticky = W)
calc["command"] = calcHypotenuse          #call calcHypotenuse if button clicked
